/**
 * The String global object is a constructor for strings, or a sequence of characters.
 * @syntax Stringliteralstaketheforms:
Or,usingthe<code>String</code>globalobjectdirectly:
 * @param {String} thing Anything to be converted to a string.
 * @returns {String} 
 */
function String() {
    this.prototype
}
/**
 * Returns a string representing the source code of the object.
 * @syntax <code><em>string</em>.toSource()</code>
 * @returns {String} 
 */
String.prototype.toSource = function() {};

/**
 * Causes a string to be displayed as a subscript, as if it were in a SUB tag.
 * @syntax <code>sub()</code>
 * @returns {String} 
 */
String.prototype.sub = function() {};

/**
 * Causes a string to be italic, as if it were in an I tag.
 * @syntax <code>italics()</code>
 * @returns {String} 
 */
String.prototype.italics = function() {};

/**
 * Creates an HTML hypertext link that requests another URL.
 * @syntax <code>link(<em>hrefAttribute</em>)</code>
 * @param {String} hrefAttribute  Any string that specifies the HREF of the A tag; it should be a valid URL (relative or absolute).
 * @returns {String} 
 */
String.prototype.link = function() {};

/**
 * Causes a string to be displayed in the specified color as if it were in a <FONT COLOR="color"> tag.
 * @syntax <code>fontcolor(<em>color</em>)</code>
 * @param {String} color  A string expressing the color as a hexadecimal RGB triplet or as a string literal. String literals for color names are listed in the Core JavaScript 1.5 Guide.
 * @returns {String} 
 */
String.prototype.fontcolor = function() {};

/**
 * Returns the index within the calling String object of the first occurrence of the specified value, starting the search at fromIndex, returns -1 if the value is not found.
 * @syntax <code><em>string</em>.indexOf(<em>searchValue</em>[,<em>fromIndex</em>]</code>)
 * @param {String} searchValue A string representing the value to search for.
 * @param {Number} fromIndex The location within the calling string to start the search from. It can be any integer between 0 and the length of the string. The default value is 0.
 * @returns {Number} 
 */
String.prototype.indexOf = function() {};

/**
 * Causes a string to be displayed as a superscript, as if it were in a SUP tag.
 * @syntax <code>sup()</code>
 * @returns {String} 
 */
String.prototype.sup = function() {};

/**
 * Causes a string to be displayed in fixed-pitch font as if it were in a TT tag.
 * @syntax <code>fixed()</code>
 * @returns {String} 
 */
String.prototype.fixed = function() {};

/**
 * Represents the String prototype object.
 * @returns {Object} 
 * @static
 */
String.prototype;

/**
 * Creates an HTML anchor that is used as a hypertext target.
 * @syntax <code>anchor(<em>nameAttribute</em>)</code>
 * @param {String} nameAttribute  A string.
 * @returns {String} 
 */
String.prototype.anchor = function() {};

/**
 * @syntax <code><em>string</em>.toUpperCase()</code>
 * @returns {String} 
 */
String.prototype.toUpperCase = function() {};

/**
 * Causes a string to be displayed as struck-out text, as if it were in a STRIKE tag.
 * @syntax <code>strike()</code>
 * @returns {String} 
 */
String.prototype.strike = function() {};

/**
 * Causes a string to be displayed as bold as if it were in a B tag.
 * @syntax <code>bold()</code>
 * @returns {String} 
 */
String.prototype.bold = function() {};

/**
 * Executes the search for a match between a regular expression and this String object.
 * @syntax <code><em>string</em>.search(<em>regexp</em>)</code>
 * @param {String} regexp A regular expression object. If a non-RegExp object obj is passed, it is implicitly converted to a RegExp by using new RegExp(obj).
 * @returns {Number} 
 */
String.prototype.search = function() {};

/**
 * @syntax <code><em>str</em>.quote()</code>
 * @returns {String} 
 */
String.prototype.quote = function() {};

/**
 * Returns a subset of a string between one index and another, or through the end of the string.
 * @syntax <code><em>string</em>.substring(<em>indexA</em>[,<em>indexB</em>])</code>
 * @param {Number} indexA An integer between 0 and one less than the length of the string.
 * @param {Number} indexB (optional) An integer between 0 and the length of the string.
 * @returns {String} 
 */
String.prototype.substring = function() {};

/**
 * The length of a string.
 * @returns {Number} 
 */
String.prototype.length;

/**
 * Returns the primitive value of a String object.
 * @syntax <code><em>string</em>.valueOf()</code>
 * @returns {String} 
 */
String.prototype.valueOf = function() {};

/**
 * Returns the calling string value converted to upper case, according to any locale-specific case mappings.
 * @syntax <code>toLocaleUpperCase()</code>
 * @returns {String} 
 */
String.prototype.toLocaleUpperCase = function() {};

/**
 * Removes whitespace from both ends of the string.
 * @syntax <code><em>string</em>.trim()</code>
 * @returns {String} 
 */
String.prototype.trim = function() {};

/**
 * Returns the specified character from a string.
 * @syntax <code><em>string</em>.charAt(<em>index</em>)</code>
 * @param {Number} index  An integer between 0 and 1 less than the length of the string.
 * @returns {String} 
 */
String.prototype.charAt = function() {};

/**
 * Returns the characters in a string beginning at the specified location through the specified number of characters.
 * @syntax <code><em>string</em>.substr(<em>start</em>[,<em>length</em>])</code>
 * @param {String} start Location at which to begin extracting characters.
 * @param {Number} length The number of characters to extract.
 * @returns {String} 
 */
String.prototype.substr = function() {};

/**
 * Returns a reference to the String function that created the instance's prototype. Note that the value of this property is a reference to the function itself, not a string containing the function's name.
 * @returns {Function} 
 */
String.prototype.constructor;

/**
 * Returns a string created by using the specified sequence of Unicode values.
 * @syntax <code>String.fromCharCode(<em>num1</em>,<em>...</em>,<em>numN</em>)</code>
 * @param {Number} num1,...,numN A sequence of numbers that are Unicode values.
 * @returns {String} 
 * @static
 */
String.fromCharCode = function() {};

/**
 * Removes whitespace from the left end of the string.
 * @syntax <code><em>string</em>.trimLeft()</code>
 * @returns {String} 
 */
String.prototype.trimLeft = function() {};

/**
 * Returns a number indicating whether a reference string comes before or after or is the same as the given string in sort order.
 * @syntax <code>localeCompare(compareString)</code>
 * @returns {Number} 
 */
String.prototype.localeCompare = function() {};

/**
 * Removes whitespace from the right end of the string.
 * @syntax <code><em>string</em>.trimRight()</code>
 * @returns {String} 
 */
String.prototype.trimRight = function() {};

/**
 * Returns the index within the calling String object of the last occurrence of the specified value, or -1 if not found. The calling string is searched backward, starting at fromIndex.
 * @syntax <code><em>string</em>.lastIndexOf(<em>searchValue</em>[,<em>fromIndex</em>])</code>
 * @param {String} searchValue A string representing the value to search for.
 * @param {Number} fromIndex The location within the calling string to start the search from, indexed from left to right. It can be any integer between 0 and the length of the string. The default value is the length of the string.
 * @returns {Number} 
 */
String.prototype.lastIndexOf = function() {};

/**
 * Returns the calling string value converted to lower case, according to any locale-specific case mappings.
 * @syntax <code>toLocaleLowerCase()</code>
 * @returns {String} 
 */
String.prototype.toLocaleLowerCase = function() {};

/**
 * Combines the text of two or more strings and returns a new string.
 * @syntax <code><em>string</em>.concat(<em>string2</em>,<em>string3</em>[,...,<em>stringN</em>])</code>
 * @param {String} string2...stringN Strings to concatenate to this string.
 * @returns {String} 
 */
String.prototype.concat = function() {};

/**
 * Returns a new string with some or all matches of a pattern replaced by a replacement.  The pattern can be a string or a RegExp, and the replacement can be a string or a function to be called for each match.
 * @syntax <code><em>newstring</em>=<em>str</em>.replace(<em>regexp|substr</em>,<em>newSubStr|function[</em>,</code><spanclass="langlang-en"><spanclass="nonStandardInlineTemplate"style="border:1pxsolidrgb(255,213,153);background-color:rgb(255,239,217);font-size:x-small;white-space:nowrap;padding:2px;">Non-standard</span></span><code><em>flags]</em>);</code>
 * @param {String} regexp A RegExp object. The match is replaced by the return value of parameter #2.
 * @param {String} substr A String that is to be replaced by newSubStr.
 * @param {Number} newSubStr The String that replaces the substring received from parameter #1. A number of special replacement patterns are supported; see the "Specifying a string as a parameter" section below.
 * @param {String} function A function to be invoked to create the new substring (to put in place of the substring received from parameter #1). The arguments supplied to this function are described in the "Specifying a function as a parameter" section below.
 * @param {String} flagsgimy Non-standard A string specifying a combination of regular expression flags. The use of the flags parameter in the String.replace method is non-standard, use a RegExp object with the corresponding flags. g global match i ignore case m match over multiple lines y Non-standard sticky global match ignore case match over multiple lines Non-standard sticky
 * @param {String} gimy global match ignore case match over multiple lines Non-standard sticky
 * @returns {String} 
 */
String.prototype.replace = function() {};

/**
 * Causes a string to blink as if it were in a BLINK tag.
 * @syntax <code>blink()</code>
 * @returns {String} 
 */
String.prototype.blink = function() {};

/**
 * Returns the numeric Unicode value of the character at the given index (except for unicode codepoints > 0x10000).
 * @param {Number} index  An integer greater than 0 and less than the length of the string; if it is not a number, it defaults to 0.
 * @returns {Number} 
 */
String.prototype.charCodeAt = function() {};

/**
 * Returns the calling string value converted to lowercase.
 * @syntax <code><em>string</em>.toLowerCase()</code>
 * @returns {String} 
 */
String.prototype.toLowerCase = function() {};

/**
 * Extracts a section of a string and returns a new string.
 * @syntax <code><em>string</em>.slice(<em>beginslice</em>[,<em>endSlice</em>])</code>
 * @param {String} beginSlice The zero-based index at which to begin extraction.
 * @param {String} endSlice The zero-based index at which to end extraction. If omitted, slice extracts to the end of the string.
 * @returns {String} 
 */
String.prototype.slice = function() {};

/**
 * Splits a String object into an array of strings by separating the string into substrings.
 * @syntax <code><em>string</em>.split([<em>separator</em>][,<em>limit</em>])</code>
 * @param {Array} separator Specifies the character to use for separating the string. The separator is treated as a string or a regular expression. If separator is omitted, the array returned contains one element consisting of the entire string.
 * @param {Array} limit Integer specifying a limit on the number of splits to be found.  The split method still splits on every match of separator, but it truncates the returned array to at most limit elements.
 * @returns {Array} 
 */
String.prototype.split = function() {};

/**
 * Returns a string representing the specified object.
 * @syntax <code><em>string</em>.toString()</code>
 * @returns {String} 
 */
String.prototype.toString = function() {};

/**
 * Used to retrieve the matches when matching a string against a regular expression.
 * @syntax <code><em>string</em>.match(<em>regexp</em>)</code>
 * @returns {Array} 
 */
String.prototype.match = function() {};

/**
 * Causes a string to be displayed in a big font as if it were in a BIG tag.
 * @syntax <code>big()</code>
 * @returns {String} 
 */
String.prototype.big = function() {};

/**
 * Causes a string to be displayed in a small font, as if it were in a SMALL tag.
 * @syntax <code>small()</code>
 * @returns {String} 
 */
String.prototype.small = function() {};

/**
 * Causes a string to be displayed in the specified font size as if it were in a <FONT SIZE="size"> tag.
 * @syntax <code>fontsize(<em>size</em>)</code>
 * @param {Number} size  An integer between 1 and 7, a string representing a signed integer between 1 and 7.
 * @returns {Number} 
 */
String.prototype.fontsize = function() {};

/**
 * Represents the String prototype object.
 * @returns {Object} 
 * @static
 */
String.prototype;

